KeeperException.ReconfigInProgress (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper

## Class KeeperException.ReconfigInProgress

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.zookeeper.KeeperException
      - - org.apache.zookeeper.KeeperException.ReconfigInProgress

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    KeeperException

      @InterfaceAudience.Public
      public static class KeeperException.ReconfigInProgress
      extends KeeperException

  See Also:
    `KeeperException.Code.RECONFIGINPROGRESS`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.zookeeper.KeeperException

      `KeeperException.APIErrorException, KeeperException.AuthFailedException, KeeperException.BadArgumentsException, KeeperException.BadVersionException, KeeperException.Code, KeeperException.CodeDeprecated, KeeperException.ConnectionLossException, KeeperException.DataInconsistencyException, KeeperException.EphemeralOnLocalSessionException, KeeperException.InvalidACLException, KeeperException.InvalidCallbackException, KeeperException.MarshallingErrorException, KeeperException.NewConfigNoQuorum, KeeperException.NoAuthException, KeeperException.NoChildrenForEphemeralsException, KeeperException.NodeExistsException, KeeperException.NoNodeException, KeeperException.NotEmptyException, KeeperException.NotReadOnlyException, KeeperException.NoWatcherException, KeeperException.OperationTimeoutException, KeeperException.QuotaExceededException, KeeperException.ReconfigDisabledException, KeeperException.ReconfigInProgress, KeeperException.RequestTimeoutException, KeeperException.RuntimeInconsistencyException, KeeperException.SessionClosedRequireAuthException, KeeperException.SessionExpiredException, KeeperException.SessionMovedException, KeeperException.SystemErrorException, KeeperException.ThrottledOpException, KeeperException.UnimplementedException, KeeperException.UnknownSessionException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReconfigInProgress()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.zookeeper.KeeperException

      `code, create, create, create, create, getCode, getMessage, getPath, getResults, setCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReconfigInProgress

          public ReconfigInProgress()

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.